// CommDlg.cpp
//

#include "stdafx.h"
#include "DS102.h"
#include "CommDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BOOL CCommDlg::bPortOpenFlg = FALSE;	// Flag of port open initial set 
/////////////////////////////////////////////////////////////////////////////
// CCommDlg 


CCommDlg::CCommDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCommDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCommDlg)
	//}}AFX_DATA_INIT
}

CCommDlg::~CCommDlg()
{
	bPortOpenFlg = FALSE;
}

void CCommDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCommDlg)
	DDX_Control(pDX, IDC_ORG, m_cmbPort);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCommDlg, CDialog)
	//{{AFX_MSG_MAP(CCommDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCommDlg 

BOOL CCommDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	pMain = (CDS102Dlg*)AfxGetMainWnd();		// Get pointer of mainwindow

	m_cmbPort.SetCurSel(iPort -1);				// Port setting combo Box initial set
	
	return TRUE;
}

void CCommDlg::OnOK() 
{
	if (UpdateData(TRUE) == FALSE) return;

	CString strMessage;
	
	iPort = m_cmbPort.GetCurSel() +1;
	pMain->SetCommPort(iPort);				// communications Port Set
	bPortOpenFlg = TRUE;
	CDialog::OnOK();
}
